function initTextarea(textarea_id, counter_current_id, counter_maximum_id, disable_callable, enable_callable) {
    $(textarea_id).on('change keyup paste', function () {

        characterCount = $(this).val().length;
        current = $(counter_current_id);
        maximum = $(counter_maximum_id);

        current.text(characterCount);

        if (characterCount < 70) {
            current.css('color', '#343a40');
        };
        if (characterCount > 160 && characterCount < 179) {
            current.css('color', '#600000');
        };
        if (characterCount > 180 && characterCount < 209) {
            current.css('color', '#700000');
        };
        if (characterCount > 210 && characterCount < 249) {
            current.css('color', '#c00');
        };
        if (characterCount > 250 && characterCount < 299) {
            current.css('color', '#d00');
        };
        if (characterCount > 300) {
            disable_callable();

            if (characterCount < 999) {
                current.css('color', '#e00');
                maximum.css('color', '#e00');
                current.css('color', '#e00');
            } else {
                maximum.css('color', 'rgb(210, 0, 0)');
            };
        } else {
            maximum.css('color', '#343a40');
            enable_callable();
        };
    });
};

document.dispatchEvent(new CustomEvent("textarea.loaded"));
